--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: get_botdata
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Retrive Bot data associated with the receiver. This method is intended for data retrieval only. See #set_bot_data() if you need to alter User data."
full_name: "::User#botdata"
is_singleton: false
name: botdata
params: (key=nil)
visibility: public
